<section class="navigation">
  <div id="total-layer-info"
       class="position-absolute p-1 px-3 mt-3 d-flex"
       *ngIf="listChoosedMapset.length !== 0">
    <fa-icon [icon]="icon.faLayerGroup"
             style="color: #fff; width: 24px; height: 20px;"></fa-icon>
    {{ listChoosedMapset.length }} Dataset aktif pada peta
  </div>
  <div id="main">
    <div class="openBtnNav btnControlNav"
         (click)="controlNav('open')">
      <div>
        <fa-icon [icon]="icon.faAngleRight"
                 style="color: #fff; width: 24px; height: 20px;"></fa-icon>
      </div>
    </div>
    <div class="closeBtnNav btnControlNav"
         (click)="controlNav('close')"
         style="display:none;">
      <fa-icon [icon]="icon.faAngleLeft"
               style="color: #fff; width: 24px; height: 20px;"></fa-icon>
    </div>
  </div>
  <div id="navigation"
       #navigation>

    <nav id="mySidenav"
         class="sidenav">
      <div class="sidenav-header">
        <div class="container">
          <div class="row">
            <div class="col text-center">
              <img src="assets/img/logo-satu-peta.png"
                   height="96"
                   alt="logo satu peta" />
            </div>
          </div>
          <div class="row">
            <div class="col col ps-2 pe-2 pt-1 pb-1">
              <div class="dropdown">
                <div class="pencarian_data">
                  <svg class="icon"
                       width="20"
                       height="20"
                       viewBox="0 0 20 20"
                       fill="none"
                       xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                          clip-rule="evenodd"
                          d="M14.7549 16.03C13.1944 17.3437 11.1857 18.1342 8.99374 18.1342C4.02663 18.1342 0 14.0747 0 9.0671C0 4.05948 4.02663 0 8.99374 0C13.9608 0 17.9875 4.05948 17.9875 9.0671C17.9875 11.2712 17.2074 13.2916 15.9104 14.8631L19.7487 18.5812C20.0744 18.8967 20.0849 19.4186 19.772 19.7469C19.4591 20.0751 18.9415 20.0855 18.6158 19.77L14.7549 16.03ZM16.3524 9.06699C16.3524 13.1641 13.0579 16.4855 8.99389 16.4855C4.9299 16.4855 1.63538 13.1641 1.63538 9.06699C1.63538 4.96985 4.9299 1.64846 8.99389 1.64846C13.0579 1.64846 16.3524 4.96985 16.3524 9.06699Z"
                          fill="#EBEBEB" />
                  </svg>
                  <input type="text"
                         [(ngModel)]="inputSearch"
                         data-toggle="dropdown"
                         id="dropdownMenuLink"
                         data-toggle="dropdown"
                         aria-haspopup="true"
                         aria-expanded="false"
                         name="search_mapset_side"
                         class="sidenav-search-input form-control form-control-lg"
                         placeholder="Cari Dataset Geospasial"
                         data-bs-toggle="dropdown"
                         id="dropdownMenuLink" />
                  <div class="dropdown-menu w-100"
                       #dropdownSearch
                       aria-labelledby="dropdownMenuLink">
                    <a class="dropdown-item"
                       (click)="searchByCategory('sektoral')"><strong>{{ inputSearch }}</strong>
                      di Sektoral</a>
                    <a class="dropdown-item"
                       (click)="searchByCategory('skpd')"><strong>{{ inputSearch }}</strong> di
                      Organisasi</a>
                    <a class="dropdown-item"
                       (click)="searchByCategory('regional')"><strong>{{ inputSearch }}</strong>
                      di Kota/Kabupaten</a>
                    <a class="dropdown-item"
                       (click)="searchByCategory('program')"><strong>{{ inputSearch }}</strong>
                      di Program</a>
                  </div>
                </div>
              </div>
            </div>
          </div>

          <div class="row">
            <div class="col ps-2 pe-2 pt-1 pb-2">
              <button class="btn btn-explore form-control"
                      (click)="searchByCategory('skpd');">JELAJAHI DATA</button>
            </div>
          </div>
          <div class="row">
            <div class="col ps-2 pe-2 pt-1 pb-2 d-flex align-items-center text-white my-3">
              <div class="position-relative">
                <span class="position-absolute"
                      style="line-height: 1;bottom: 0;">Data</span>
                <img class="logo-waze"
                     src="assets/img/logo-waze.svg"
                     height="17"
                     alt="logo satu peta" />
                <span class="tag-new rounded px-2 ms-2 position-absolute">Baru</span>
              </div>
              <label class="btn-on-off ms-auto mb-0">
                <input type="checkbox"
                       [checked]="isActiveWaze"
                       (change)="toggleWaze()">
                <span class="slider round"></span>
              </label>
            </div>
          </div>
          <div class="row sidenav-tool"
               *ngIf="listChoosedMapset.length > 0 || isActiveWaze">
            <div class="col p-2">
              <div class="d-flex">
                <div class="">
                  <div>Koordinat</div>
                  <div class="btn-group border-button btn-sm p-0 w-100"
                       role="group"
                       aria-label="Basic example">
                    <button class="btn btn-sm btn-secondary"
                            (click)="toggleShowCoordinates();">
                      <svg [ngClass]="this.isShowCoordinates ? 'svg-active' : ''"
                           width="18"
                           height="18"
                           viewBox="0 0 18 18"
                           xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd"
                              clip-rule="evenodd"
                              d="M8.99998 5.60004C7.12222 5.60004 5.59999 7.12227 5.59999 9.00003C5.59999 10.8778 7.12222 12.4 8.99998 12.4C10.8777 12.4 12.4 10.8778 12.4 9.00003C12.4 7.12227 10.8777 5.60004 8.99998 5.60004ZM7.59998 9.00003C7.59998 8.22684 8.22678 7.60004 8.99998 7.60004C9.77318 7.60004 10.4 8.22684 10.4 9.00003C10.4 9.77323 9.77318 10.4 8.99998 10.4C8.22678 10.4 7.59998 9.77323 7.59998 9.00003Z"
                              fill="#EBEBEB" />
                        <path fill-rule="evenodd"
                              clip-rule="evenodd"
                              d="M9.99994 0.999997V1.66692C13.2869 2.11092 15.889 4.71303 16.333 8H16.9999C17.5522 8 17.9999 8.44771 17.9999 9C17.9999 9.55228 17.5522 9.99999 16.9999 9.99999H16.333C15.8889 13.2869 13.2868 15.8889 9.99994 16.3329V17C9.99994 17.5523 9.55222 18 8.99994 18C8.44766 18 7.99994 17.5523 7.99994 17V16.3329C4.71309 15.8889 2.11107 13.2868 1.66702 9.99999H0.999997C0.447714 9.99999 0 9.55228 0 9C0 8.44771 0.447714 8 0.999997 8H1.667C2.11098 4.71307 4.71303 2.11098 7.99994 1.66693V0.999997C7.99994 0.447714 8.44766 -2.41416e-08 8.99994 0C9.55222 2.41416e-08 9.99994 0.447714 9.99994 0.999997ZM8.99994 3.59999L8.98965 3.59994C6.01208 3.60552 3.60001 6.02103 3.60001 8.99991C3.60001 11.9822 6.01766 14.3999 8.99999 14.3999C11.9798 14.3999 14.3959 11.9863 14.4 9.00751L14.3999 9L14.4 8.99245C14.3959 6.01697 11.9854 3.60547 9.01025 3.59994L8.99994 3.59999Z"
                              fill="#EBEBEB" />
                      </svg>
                    </button>
                  </div>
                </div>
                <div class="ms-3">
                  <div>Pencarian berdasarkan geometri</div>
                  <div class="btn-group border-button"
                       role="group"
                       aria-label="Basic example"
                       style="width: 260px;">
                    <button type="button"
                            ngbTooltip="Titik (untuk jenis data geospasial poligon)"
                            class="btn btn-sm btn-secondary"
                            (click)="geometryButtonsClickHandler('point');postLog('click|draw-point');"
                            value="point">
                      <svg [ngClass]="this.geometryQuery == 'point' ? 'svg-active' : ''"
                           width="14"
                           height="16"
                           viewBox="0 0 14 16"
                           fill="none"
                           xmlns="http://www.w3.org/2000/svg"
                           value="point">
                        <path fill-rule="evenodd"
                              clip-rule="evenodd"
                              d="M1.37508 0.499969C1.07406 0.499969 0.785943 0.61477 0.574459 0.818704C0.362975 1.02264 0.246247 1.29873 0.250092 1.58529L0.37506 10.769C0.379729 11.1113 0.556057 11.4309 0.849113 11.629L6.28672 15.3024C6.47678 15.4309 6.7042 15.5 6.93738 15.5H7.06262C7.2958 15.5 7.52322 15.4309 7.71328 15.3024L13.1509 11.629C13.4439 11.4309 13.6203 11.1113 13.6249 10.769L13.7499 1.58529C13.7538 1.29873 13.637 1.02264 13.4255 0.818704C13.2141 0.61477 12.9259 0.499969 12.6249 0.499969H1.37508ZM2.61761 10.1964L2.51462 2.64283H11.4854L11.3824 10.1964L7 13.1571L2.61761 10.1964ZM7 8.53568C8.24254 8.53568 9.24997 7.57631 9.24997 6.39283C9.24997 5.20934 8.24254 4.24997 7 4.24997C5.75746 4.24997 4.75003 5.20934 4.75003 6.39283C4.75003 7.57631 5.75746 8.53568 7 8.53568Z"
                              fill="#EBEBEB" />
                      </svg>
                    </button>
                    <div class="vertical-border mt-1 mb-1"></div>
                    <button type="button"
                            ngbTooltip="Garis (untuk jenis data geospasial poligon dan garis)"
                            class="btn btn-sm btn-secondary"
                            (click)="geometryButtonsClickHandler('polyline');postLog('click|draw-polyline');"
                            value="polyline">
                      <svg [ngClass]="this.geometryQuery == 'polyline' ? 'svg-active' : ''"
                           width="16"
                           height="16"
                           viewBox="0 0 16 16"
                           fill="none"
                           xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd"
                              clip-rule="evenodd"
                              d="M8.84139 0.913089C9.20249 0.651212 9.6409 0.499969 10.1037 0.499969C11.2756 0.499969 12.2911 1.46976 12.2911 2.74997C12.2911 3.06371 12.2301 3.35881 12.1208 3.62557C12.2672 3.85234 12.4107 4.08362 12.553 4.31303L12.5534 4.31357L12.5538 4.31431C12.6036 4.39448 12.6532 4.47443 12.7027 4.55386C13.0981 5.18796 13.5197 5.84254 14.0571 6.51057C15.4672 8.26345 15.8401 10.305 15.1765 11.9902C15.1373 12.0897 15.0948 12.1871 15.0492 12.2822C15.1837 12.5726 15.2597 12.8996 15.2597 13.25C15.2597 14.5302 14.2442 15.5 13.0723 15.5C12.4254 15.5 11.8261 15.2045 11.4191 14.7243C11.2446 14.7413 11.0664 14.75 10.8849 14.75C9.68305 14.75 8.34084 14.4764 7.06585 13.9656C6.67924 14.3015 6.18107 14.5 5.6509 14.5C4.47901 14.5 3.46349 13.5302 3.46349 12.25C3.46349 12.0394 3.49096 11.8373 3.54208 11.6464C2.68236 10.7404 2.03018 9.62478 1.81851 8.31632C1.05279 7.97689 0.495117 7.19866 0.495117 6.24997C0.495117 5.15045 1.2442 4.27991 2.19808 4.05607C2.4018 3.45377 2.68316 2.91637 3.05962 2.45505C4.06521 1.22274 5.56498 0.74997 7.399 0.74997C7.92532 0.74997 8.40325 0.804201 8.84139 0.913089ZM9.32264 2.74997C9.32264 2.37332 9.63614 1.99997 10.1037 1.99997C10.5712 1.99997 10.8847 2.37332 10.8847 2.74997C10.8847 3.12662 10.5712 3.49997 10.1037 3.49997C9.63614 3.49997 9.32264 3.12662 9.32264 2.74997ZM10.9384 12.7496C11.1622 11.7254 12.0588 11 13.0723 11C13.2203 11 13.3658 11.0154 13.5072 11.0451C13.7635 10.2075 13.6159 9.03353 12.634 7.8129C12.0192 7.04862 11.5461 6.31058 11.1413 5.66141C11.0879 5.57574 11.0361 5.49237 10.9857 5.41118C10.8782 5.23814 10.7767 5.07487 10.6789 4.92045C10.4944 4.97241 10.3012 4.99997 10.1037 4.99997C8.93953 4.99997 7.92968 4.04293 7.91641 2.77526C7.75769 2.75879 7.58583 2.74997 7.399 2.74997C5.83558 2.74997 4.97723 3.15148 4.47406 3.76809C4.31307 3.96538 4.17116 4.20512 4.05159 4.49559C4.54542 4.90178 4.86994 5.52627 4.86994 6.24997C4.86994 7.12569 4.39476 7.85615 3.7194 8.23032C3.88747 8.92924 4.26425 9.58367 4.81031 10.1734C5.07152 10.0613 5.35627 9.99997 5.6509 9.99997C6.78799 9.99997 7.77787 10.913 7.83565 12.1368C8.87024 12.5366 9.9465 12.75 10.8849 12.75C10.9028 12.75 10.9207 12.7499 10.9384 12.7496ZM2.68253 5.49997C2.21498 5.49997 1.90148 5.87332 1.90148 6.24997C1.90148 6.62662 2.21498 6.99997 2.68253 6.99997C3.15007 6.99997 3.46357 6.62662 3.46357 6.24997C3.46357 5.87332 3.15007 5.49997 2.68253 5.49997ZM5.6509 11.5C5.18336 11.5 4.86985 11.8733 4.86985 12.25C4.86985 12.6266 5.18336 13 5.6509 13C6.11844 13 6.43195 12.6266 6.43195 12.25C6.43195 11.8733 6.11844 11.5 5.6509 11.5ZM12.2912 13.25C12.2912 12.8733 12.6047 12.5 13.0723 12.5C13.5398 12.5 13.8533 12.8733 13.8533 13.25C13.8533 13.6266 13.5398 14 13.0723 14C12.6047 14 12.2912 13.6266 12.2912 13.25Z"
                              fill="#EBEBEB" />
                      </svg>
                    </button>
                    <div class="vertical-border mt-1 mb-1"></div>
                    <button type="button"
                            ngbTooltip="Poligon (untuk jenis data geospasial, titik, garis, dan poligon)"
                            class="btn btn-sm btn-secondary"
                            (click)="geometryButtonsClickHandler('polygon');postLog('click|draw-polygon');"
                            value="polygon">
                      <svg [ngClass]="this.geometryQuery == 'polygon' ? 'svg-active' : ''"
                           width="16"
                           height="16"
                           viewBox="0 0 16 16"
                           fill="none"
                           xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd"
                              clip-rule="evenodd"
                              d="M14.8826 0.600935C15.2593 0.777175 15.5 1.15551 15.5 1.57141V14.4286C15.5 15.0203 15.0203 15.5 14.4286 15.5H1.57143C0.979695 15.5 0.5 15.0203 0.5 14.4286V4.36644C0.5 3.95545 0.735101 3.58067 1.10513 3.4018C1.47516 3.22294 1.9149 3.2715 2.23698 3.5268L6.43172 6.85181L13.7419 0.748928C14.0612 0.482388 14.5059 0.424694 14.8826 0.600935ZM13.3571 3.86161L7.13589 9.05538C6.74616 9.38075 6.18157 9.38792 5.7837 9.07254L2.64286 6.58292V13.3571H13.3571V3.86161Z"
                              fill="#EBEBEB" />
                      </svg>
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="sidenav-body">
        <div class="card mapset-statistic mx-3 mt-3"
             *ngIf="listChoosedMapset.length == 0 && !isActiveWaze">
          <div class="card-body p-2">
            <p class="card-text">Temukan <strong>{{ mapsetStatistic.mapset }}</strong> dataset geospasial dari
              <strong>{{
                mapsetStatistic.skpd }}</strong> organisasi dan <strong>{{ mapsetStatistic.regional }}</strong>
              kota/kabupaten, serta data realtime Waze di Satu Peta Jabar
            </p>
          </div>
        </div>
        <div class="card sidenav_panelEmpty mx-3 mt-3"
             *ngIf="listChoosedMapset.length == 0 && !isActiveWaze">
          <div class="card-body">
            <h5 class="card-title">
              <svg width="32"
                   height="32"
                   viewBox="0 0 32 32"
                   fill="none"
                   xmlns="http://www.w3.org/2000/svg">
                <rect width="32"
                      height="32"
                      rx="16"
                      fill="#222831" />
                <path d="M16 26C10.477 26 6 21.523 6 16C6 10.477 10.477 6 16 6C21.523 6 26 10.477 26 16C26 21.523 21.523 26 16 26ZM16 24C18.1217 24 20.1566 23.1571 21.6569 21.6569C23.1571 20.1566 24 18.1217 24 16C24 13.8783 23.1571 11.8434 21.6569 10.3431C20.1566 8.84285 18.1217 8 16 8C13.8783 8 11.8434 8.84285 10.3431 10.3431C8.84285 11.8434 8 13.8783 8 16C8 18.1217 8.84285 20.1566 10.3431 21.6569C11.8434 23.1571 13.8783 24 16 24ZM15 11H17V13H15V11ZM15 15H17V21H15V15Z"
                      fill="#65C6C4" />
              </svg>
              Informasi:
            </h5>
            <p class="card-text">Belum ada dataset geospasial yang terpilih.</p>
            <ul class="card-text">
              <li>Klik "Jelajahi Data" untuk menelusuri dataset geospasial yang akan ditampilkan ke dalam peta.</li>
              <li>Aktifkan data "waze" untuk menampilkan data realtime kondisi lalu lintas.</li>
            </ul>
          </div>
        </div>

        <app-waze-setting *ngIf="isActiveWaze"></app-waze-setting>

        <div *ngIf="listChoosedMapset.length > 0"
             class="slidenav-group p-2">
          <div style="float: left"
               class="m-2">
            Dataset
            <span class="slidenav-group-count">{{ listChoosedMapset.length }}</span>
          </div>
          <div class="slidenav-group-remove">
            <button (click)="removeAllMapset()"
                    class="btn btn-none">
              <svg width="12"
                   height="12"
                   viewBox="0 0 12 12"
                   fill="none"
                   xmlns="http://www.w3.org/2000/svg">
                <path opacity="0.83"
                      d="M11.5 1.99999H10.5H8.89001L8.7255 1.34198C8.52851 0.552 7.82149 0 7.00699 0H4.99298C4.17848 0 3.47149 0.552 3.27448 1.34201L3.10997 2.00002H1.5H0.499992C0.2235 1.99999 0 2.22401 0 2.50001C0 2.77601 0.2235 3 0.499992 3H1.02698L1.44799 10.583C1.4925 11.3775 2.151 12 2.94649 12H9.05348C9.84898 12 10.5075 11.3775 10.552 10.583L10.973 3H11.5C11.7765 3 12 2.77601 12 2.50001C12 2.22401 11.7765 1.99999 11.5 1.99999ZM4.24399 1.58449C4.3305 1.2405 4.638 0.999984 4.99298 0.999984H7.00699C7.362 0.999984 7.6695 1.24048 7.75598 1.58449L7.85948 1.99999H4.14049L4.24399 1.58449ZM4.5 9.49999C4.5 9.77599 4.2765 9.99998 4.00001 9.99998C3.72352 9.99998 3.50002 9.77599 3.50002 9.49999V4.5C3.50002 4.224 3.72352 4.00001 4.00001 4.00001C4.2765 4.00001 4.5 4.224 4.5 4.5V9.49999ZM6.49999 9.49999C6.49999 9.77599 6.27649 9.99998 6 9.99998C5.72351 9.99998 5.50001 9.77599 5.50001 9.49999V4.5C5.50001 4.224 5.72351 4.00001 6 4.00001C6.27649 4.00001 6.49999 4.224 6.49999 4.5V9.49999ZM8.50001 9.49999C8.50001 9.77599 8.27651 9.99998 8.00002 9.99998C7.72352 9.99998 7.50002 9.77599 7.50002 9.49999V4.5C7.50002 4.224 7.72352 4.00001 8.00002 4.00001C8.27651 4.00001 8.50001 4.224 8.50001 4.5V9.49999Z"
                      fill="#EBEBEB" />
              </svg>

              Hapus Semua
            </button>
          </div>
          <div style="clear: both"></div>
        </div>

        <div class="sidenav_panel p-2 mb-5"
             cdkDropList
             (cdkDropListDropped)="drop($event)">
          <div class="sidenav_panel_mapset"
               *ngFor="let mapset of listChoosedMapset"
               cdkDrag>
            <app-mapset-setting [mapset]="mapset"
                                (isRemove)="removeMapset($event)"></app-mapset-setting>
          </div>
        </div>
      </div>
    </nav>
  </div>
</section>